---
updatedAt: 2026-10-31T08:03:05.000Z
agentTools:
  projectIndex: https://developer.accelevents.com/llms.txt
---

# Delete Staff

This API is used to delete event staff from the event by staff id. This API can be accessed by event admin and super admin. We need to pass the authentication key to authenticate the user, staffId pass as path param. This API is used on the manage team page.

if the API is executed successfully. Here is the description of response attributes, which returns to the form of JSON.

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Attribute
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        message
      </td>

      <td style={{ textAlign: "left" }}>
        Successfully removed
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        type
      </td>

      <td style={{ textAlign: "left" }}>
        Success
      </td>
    </tr>
  </tbody>
</Table>

Here are the possible error messages, which return if any condition gets failed or required data is missing for processing.

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Error code
      </th>

      <th>
        Error Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        4040002
      </td>

      <td>
        Staff detail not found
      </td>
    </tr>

    <tr>
      <td>
        4060002
      </td>

      <td>
        You cannot delete yourself from the staff list.
      </td>
    </tr>

    <tr>
      <td>
        4060055
      </td>

      <td>
        Cannot delete event admin connected with Stripe/Square.
      </td>
    </tr>

    <tr>
      <td>
        4060003
      </td>

      <td>
        Cannot delete last event admin.
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "accelevents",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.accelevents.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/rest/host/event/{eventUrl}/usermanagement/staff/{staffId}": {
      "delete": {
        "summary": "Delete Staff",
        "description": "This API is used to delete event staff from the event by staff id. This API can be accessed by event admin and super admin. We need to pass the authentication key to authenticate the user, staffId pass as path param. This API is used on the manage team page.",
        "operationId": "delete-staff",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "description": "API Authorization token",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "staffId",
            "in": "path",
            "description": "Staff id is unique number, Contains staff user id.",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "required": true
          },
          {
            "name": "eventUrl",
            "in": "path",
            "description": "Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"type\": \"Success\",\n  \"message\": \"successfully removed\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "Success"
                    },
                    "message": {
                      "type": "string",
                      "example": "successfully removed"
                    }
                  }
                }
              }
            }
          },
          "201": {
            "description": "201",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "Created"
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "403": {
            "description": "403",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```